# Fact: openafsversion
#
# Purpose: Report the version of openafs
#
Facter.add(:openafsversion) do
  setcode do
    begin
      Facter::Util::Resolution.exec('/bin/rpm -q --queryformat "%{VERSION}-%{RELEASE}" openafs')
    rescue StandardError
      Facter.debug('openafs not available')
    end
  end
end
